Bug 848610

Summary: id's are not preserved on pocedure tags in html formats
Product: [Community] Publican Reporter: Tomas Dabašinskas <tdabasin>
Component: publicanAssignee: Jeff Fearn <jfearn>
Status: CLOSED CURRENTRELEASE QA Contact: Ruediger Landmann <rlandman>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 3.0CC: juwu, r.landmann, rlandman
Target Milestone: 3.0Flags: juwu: needinfo-
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Fixed In Version: 3.0.0 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-30 23:11:13 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Tomas Dabašinskas 2012-08-15 21:42:36 EDT
Description of problem:

In Monitoring.xml we have <procedure id="proc-Administration_Guide-Monitoring-Monitoring_the_state_of_Red_Hat_Update_Infrastructure">.....</procedure>
to which RHUI_Manager.xml is pointing with <xref linkend="proc-Administration_Guide-Monitoring-Monitoring_the_state_of_Red_Hat_Update_Infrastructure" />

<div class="procedure"> html tag is generated instead of <div class="procedure" id="proc-Administration_Guide-Monitoring-Monitoring_the_state_of_Red_Hat_Update_Infrastructure"> 

it works fine on publican 2.8

Version-Release number of selected component (if applicable):
publican 3

How reproducible:
make xref to procedure tag

Actual results:
<div class="procedure"> 

Expected results:
 <div class="procedure" id="some id"> 

Additional info:
works for section and chapter tags
Comment 1 Tomas Dabašinskas 2012-08-16 20:55:59 EDT
same behavior on tables:

table with id:  <table id="tb-resource-agent-summary-CA"> in xml

is generated as
<div class="table"> in publican 3
<div class="table" id="tb-resource-agent-summary-CA"> in publican 2.8

thus making links like: https://access.redhat.com/knowledge/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Cluster_Administration/ap-ha-resource-params-CA.html#tb-resource-agent-summary-CA invalid
Comment 2 Jeff Fearn 2012-08-17 02:09:47 EDT
The fix for #788576 was too aggressive, found a gentler way to remove duplicate IDs.

To ssh://git.fedorahosted.org/git/publican.git
   a55d953..aa33a03  master -> master
Comment 3 Ruediger Landmann 2012-08-17 20:26:30 EDT
Verified in build publican-3.0-0.fc17.t222.noarch
Comment 5 Julie 2012-08-20 21:01:28 EDT
Thanks for clarification from Rudi, need info cancelled.